Create brand profiles
Creates one or more brand profile files for the account. The Account Branding feature (accountSettings properties canSelfBrandSend and canSelfBrandSig) must be set to true for the account to use this call.
An error is returned if brandId property for a brand profile is already set for the account. To upload a new version of an existing brand profile, you must delete the profile and then upload the newer version.
When brand profile files are being uploaded, they must be combined into one zip file and the Content-Type must be application/zip.
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
Request
This endpoint expects an object: brand
brandCompany
The name of the company associated with this brand.
brandId
The ID used to identify a specific brand in API calls.
brandName
The name of the brand.
colors
emailContent
errorDetails
This object describes errors that occur. It is only valid for responses, and ignored in requests.
isOverridingCompanyName
isSendingDefault
isSigningDefault
landingPages
links
logos
resources
Response
Successful response.
brands
The list of brands.
recipientBrandIdDefault
The brand seen by envelope recipients when a brand is not explicitly set.
senderBrandIdDefault
The brand seen by envelope senders when a brand is not explicitly set.
Errors
400
Bad Request Error